Skip to main content
GET
/
templates
/
presentations
Get presentation templates.
curl --request GET \
  --url https://test.didxtech.com/me-creds/api/templates/presentations \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "name": "My presentation template",
      "description": "This is a description",
      "createdAt": "2025-02-20T11:27:37.051Z",
      "updatedAt": "2025-02-20T11:27:37.051Z",
      "id": "6421a8905c17830c188e2e2f",
      "credentials": [
        {
          "format": "sd-jwt-vc",
          "name": "My SD-JWT credential",
          "description": "A verifiable credential",
          "type": "https://metadata.paradym.id/types/asdf93-UniversityCard",
          "attributes": {
            "myAttribute": {
              "type": "string"
            }
          }
        },
        {
          "format": "mdoc",
          "name": "My mDL credential",
          "description": "A mobile driving licence",
          "type": "org.iso.18013.5.1.mDL",
          "attributes": {
            "org.iso.18013.5.1": {
              "properties": {
                "family_name": {
                  "intentToRetain": false
                }
              }
            }
          }
        }
      ]
    }
  ],
  "links": {
    "self": "<string>",
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>",
    "related": "<string>"
  },
  "meta": {},
  "errors": [
    {
      "detail": "<string>",
      "id": "<string>",
      "status": "<string>",
      "code": "<string>",
      "title": "<string>",
      "source": {
        "pointer": "<string>",
        "parameter": "<string>"
      },
      "meta": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

filter[id]
string

Filter presentation templates by their unique identifier

Example:

"6421a8905c17830c188e2e2f"

search[name]
string

Search presentation templates by name (partial match)

Example:

"presentation"

sort
enum<string>

Sort order for the results. Prefix with "-" for descending order

Available options:
id,
-id,
createdAt,
-createdAt,
updatedAt,
-updatedAt
Example:

"-createdAt"

page[size]
number

Number of items to return per page (1-100)

Required range: 1 <= x <= 100
Example:

10

page[before]
string

Cursor for pagination - return items before this ID value

Example:

"6421a8905c17830c188e2e2f"

page[after]
string

Cursor for pagination - return items after this ID value

Example:

"6421a8905c17830c188e2e30"

Response

List of presentation templates.

data
object[]
required
meta
object
errors
object[]